import javax.swing.*;
import BasicWindowMonitor;
import java.awt.*;

public class HosgeldinizSWFa
{
  public static void main(String[] args)
  {
  String isim;
  JFrame cerceve=new JFrame("HosgeldinizSWFa");
  cerceve.addWindowListener(new BasicWindowMonitor());
  isim=JOptionPane.showInputDialog(cerceve,"isminizi giriniz : ");                             
  JLabel etiket=new JLabel("Java Programina Hos geldiniz! "+isim);
  JOptionPane op= new JOptionPane("Java cok gzel bir ders",JOptionPane.PLAIN_MESSAGE);
  JPanel p = new JPanel(new FlowLayout());
  cerceve.getContentPane().add(etiket);
  p.add(op);
  Container c= cerceve.getContentPane();
  c.add(p);
  c.add(etiket,BorderLayout.NORTH);
  cerceve.pack();
  cerceve.setVisible(true);
  }
}
